Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.gms
Interface FailureDetectorMBean

All Known Implementing Classes:
  FailureDetector

    public interface FailureDetectorMBean

Method Summary
`void` | `dumpInterArrivalTimes()`
`java.lang.String` | `getAllEndpointStates()`
`java.lang.String` | `getEndpointState(java.lang.String address)`
`int` | `getPhiConvictThreshold()`
`java.util.Map<java.lang.String,java.lang.String>` | `getSimpleStates()`
`void` | `setPhiConvictThreshold(int phi)`

Method Detail

### dumpInterArrivalTimes

    void dumpInterArrivalTimes()

### setPhiConvictThreshold

    void setPhiConvictThreshold(int phi)

### getPhiConvictThreshold

    int getPhiConvictThreshold()

### getAllEndpointStates

    java.lang.String getAllEndpointStates()

### getEndpointState

    java.lang.String getEndpointState(java.lang.String address)
                                      throws java.net.UnknownHostException

  Throws:
    `java.net.UnknownHostException`

### getSimpleStates

    java.util.Map<java.lang.String,java.lang.String> getSimpleStates()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation